<?php

namespace Drupal\me_config_pages\Entity;

use Drupal\config_pages\ConfigPagesForm;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Url;
use Drupal\mercury_editor\Entity\MercuryEditorEntityFormInterface;
use Drupal\mercury_editor\Entity\MercuryEditorEntityFormTrait;

/**
 * Defines the Mercury Editor term form.
 */
class MercuryEditorConfigPagesForm extends ConfigPagesForm implements MercuryEditorEntityFormInterface {

  use MercuryEditorEntityFormTrait;

  /**
   * {@inheritDoc}
   */
  public function processRedirectUrl(array $element, FormStateInterface $form_state) : array {
    $element['#value'] = Url::fromRoute('entity.config_pages.collection')->toString();
    return $element;
  }

}
